%define api 1.0
%define major 5
%define libname %mklibname anthygobject %api %major
%define develname %mklibname -d anthygobject
%define girname %mklibname anthy-gir 9000

Name:      ibus-anthy
Summary:   ibus - Japanese Anthy engine
Version:   1.5.9
Release:   %mkrel 1
Group:     System/Internationalization
License:   GPLv2+
URL:       http://code.google.com/p/ibus/
Source0:   https://github.com/ibus/ibus-anthy/releases/download/%{version}/%{name}-%{version}.tar.gz
BuildRequires: ibus-devel >= 1.3.9-3
BuildRequires: anthy-devel
BuildRequires: python-devel
BuildRequires: intltool
BuildRequires: gobject-introspection-devel
BuildRequires: ibus
Requires:	ibus >= 1.2.0
Requires:	anthy

%package -n %{libname}
Group: System/Internationalization
Summary: Shared libs for anthygobject

%description -n %{libname}
Shared libs for anthygobject.

%package -n %{girname}
Group: System/Internationalization
Summary: GObject Introspection interface description for anthy
Requires: %{libname} = %{version}

%description -n %{girname}
GObject Introspection interface description for anthy.

%package -n %{develname}
Group: System/Internationalization
Summary: Development files for ibus-anthy
Requires: %{libname} = %{version}
Requires: %{girname} = %{version}
Provides: %{name}-devel = %{version}-%{release}

%description -n %{develname}
This package contains development files for ibus-anthy.

%description
ibus - Japanese Anthy engine.

%prep
%setup -q 

%build
%configure2_5x
%make

%install
%make_install
rm -f %{buildroot}%{_libdir}/*.la

%find_lang %name

%files -f %name.lang
%{_libexecdir}/ibus-engine-anthy
%{_libexecdir}/ibus-setup-anthy
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/%{name}
%{_datadir}/applications/ibus-setup-anthy.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.*
%{_datadir}/ibus/component/anthy.xml

%files -n %{libname}
%{_libdir}/libanthygobject-%{api}.so.%{major}
%{_libdir}/libanthygobject-%{api}.so.%{major}.*

%files -n %{girname}
%{_libdir}/girepository-1.0/Anthy-9000.typelib

%files -n %{develname}
%{_libdir}/libanthygobject-%{api}.so
%{_includedir}/ibus-anthy-%{api}
%{_datadir}/gir-1.0/*.gir


%changelog
* Tue Jan 03 2017 yochenhsieh <yochenhsieh> 1.5.9-1.mga6
+ Revision: 1079894
- New version 1.5.9

* Thu Mar 03 2016 tv <tv> 1.5.8-1.mga6
+ Revision: 985022
- new release

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Mon Sep 07 2015 fwang <fwang> 1.5.7-1.mga6
+ Revision: 873880
- update file list
- 1.5.7

* Wed Oct 15 2014 umeabot <umeabot> 1.5.5-4.mga5
+ Revision: 748910
- Second Mageia 5 Mass Rebuild

* Sun Sep 28 2014 tv <tv> 1.5.5-3.mga5
+ Revision: 731171
- rebuild so that it picks typelib() requires

* Tue Sep 16 2014 umeabot <umeabot> 1.5.5-2.mga5
+ Revision: 680409
- Mageia 5 Mass Rebuild

* Thu May 29 2014 fwang <fwang> 1.5.5-1.mga5
+ Revision: 627524
- 1.5.5

* Sun Jan 26 2014 luigiwalser <luigiwalser> 1.5.4-1.mga4
+ Revision: 568344
- 1.5.4 (fixes CVE-2013-4509)

* Sat Oct 19 2013 umeabot <umeabot> 1.5.3-2.mga4
+ Revision: 523626
- Mageia 4 Mass Rebuild

* Thu May 23 2013 fwang <fwang> 1.5.3-1.mga4
+ Revision: 424703
- new version 1.5.3

* Sun Jan 13 2013 fwang <fwang> 1.5.0-2.mga3
+ Revision: 370793
- cleanup spec
- new version 1.5.0

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Oct 16 2012 fwang <fwang> 1.4.99.20121006-1.mga3
+ Revision: 306965
- drop .la file
- fix pkg content
- update file list
- update file list
- new version 1.4.99.20121016

* Mon May 28 2012 fwang <fwang> 1.2.7-1.mga3
+ Revision: 247783
- new version 1.2.7

* Wed Jun 15 2011 fwang <fwang> 1.2.6-1.mga2
+ Revision: 106399
- new version 1.2.6
- use ibus engine macro for automatical registration

* Fri Mar 18 2011 tv <tv> 1.2.5-1.mga1
+ Revision: 73552
- imported package ibus-anthy

